language: node_js
node_js:
  - "6.0"
  - "4.1"
  - "0.12"
  - "0.10"
before_script:
  - "npm install codecov.io istanbul"
script:
  - "istanbul cover ./node_modules/mocha/bin/_mocha -- -R spec test/cases && cat ./coverage/coverage.json | ./node_modules/codecov.io/bin/codecov.io.js"